Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.beans
Class PropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.atomikos.beans.PropertyException

All Implemented Interfaces:
  Serializable

    public class PropertyException

extends Exception

An exception indicating a failure to set or get a bean property.

See Also:
  Serialized Form

Constructor Summary
`PropertyException(String msg)`
`PropertyException(String msg, Throwable nested)` Creates a new instance with a message and nested exception.
`PropertyException(Throwable nested)` Creates a new instance with a nested exception.

Method Summary
`Throwable` | `getNestedException()` Get the nested exception.
`void` | `printStackTrace()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyException

    public PropertyException(String msg)

### PropertyException

    public PropertyException(Throwable nested)

  Creates a new instance with a nested exception.

  Parameters:
    `nested` - The nested exception.

### PropertyException

    public PropertyException(String msg,
                             Throwable nested)

  Creates a new instance with a message and nested exception.

  Parameters:
    `msg` - The message.
    `nested` - The nested exception.

Method Detail

### getNestedException

    public Throwable getNestedException()

  Get the nested exception.

  Returns:
    Exception The nested exception.

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.